#!/usr/bin/perl -w
push @SPECHOOKS, sub {
    my ($spec, $pkgname) = @_;
    foreach my $section ($spec->get_sections()) {
	my $type = $section->get_type();
	next if $type ne 'install' and $type ne 'files';
	$section->subst(qr'(%{?_iconsdir}?|(/usr/share|%{?_datadir}?)/icons)/mini/','%_miconsdir/');
	$section->subst(qr'(%{?_iconsdir}?|(/usr/share|%{?_datadir}?)/icons)/large/','%_liconsdir/');
	$section->subst(qr'(%{?_iconsdir}?|(/usr/share|%{?_datadir}?)/icons)/(?!hicolor|.+/)','%_niconsdir/');
    }
};
1;
